## ros-kinetic-geodesy 0.5.2

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(geodesy)
find_package(catkin REQUIRED
             COMPONENTS
             angles
             geographic_msgs
             geometry_msgs
             sensor_msgs
             tf
             unique_id
             uuid_msgs)

include_directories(include ${catkin_INCLUDE_DIRS})
catkin_python_setup()

# what other packages will need to use this one
catkin_package(CATKIN_DEPENDS
               geographic_msgs
               geometry_msgs
               sensor_msgs
               tf
               unique_id
               uuid_msgs
               INCLUDE_DIRS include
               LIBRARIES geoconv)

# build C++ coordinate conversion library
add_library(geoconv src/conv/utm_conversions.cpp)
target_link_libraries(geoconv ${catkin_LIBRARIES})
add_dependencies(geoconv ${catkin_EXPORTED_TARGETS})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
install(TARGETS geoconv
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# unit tests
if (CATKIN_ENABLE_TESTING)

  catkin_add_gtest(test_wgs84 tests/test_wgs84.cpp)
  target_link_libraries(test_wgs84 ${catkin_LIBRARIES})
  add_dependencies(test_wgs84 ${catkin_EXPORTED_TARGETS})
  
  catkin_add_gtest(test_utm tests/test_utm.cpp)
  target_link_libraries(test_utm geoconv ${catkin_LIBRARIES})
  add_dependencies(test_utm ${catkin_EXPORTED_TARGETS})
  
  catkin_add_nosetests(tests/test_bounding_box.py)
  catkin_add_nosetests(tests/test_props.py)
  catkin_add_nosetests(tests/test_utm.py)
  catkin_add_nosetests(tests/test_wu_point.py)

endif (CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-kinetic-geodesy (0.5.2-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 05:00:00 -0000

ros-kinetic-geodesy (0.5.1-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 05:00:00 -0000

ros-kinetic-geodesy (0.5.0-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Apr 2017 05:00:00 -0000

ros-kinetic-geodesy (0.4.0-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 18 Sep 2014 05:00:00 -0000

ros-kinetic-geodesy (0.3.2-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 30 Aug 2014 05:00:00 -0000

ros-kinetic-geodesy (0.3.1-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 03 Oct 2013 05:00:00 -0000

ros-kinetic-geodesy (0.3.0-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 03 Aug 2013 05:00:00 -0000

ros-kinetic-geodesy (0.2.1-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 13 Aug 2012 05:00:00 -0000

ros-kinetic-geodesy (0.2.0-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 02 Jun 2012 05:00:00 -0000

ros-kinetic-geodesy (0.1.0-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 10 Apr 2012 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-geodesy
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-geographic-msgs, ros-kinetic-geometry-msgs, ros-kinetic-rosunit, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-unique-id, ros-kinetic-uuid-msgs
Homepage: http://wiki.ros.org/geodesy
Standards-Version: 3.9.2

Package: ros-kinetic-geodesy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyproj, ros-kinetic-geographic-msgs, ros-kinetic-geometry-msgs, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-unique-id, ros-kinetic-uuid-msgs
Description: Python and C++ interfaces for manipulating geodetic coordinates.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-geodesy//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
